[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / devel / glib2

Annotation of pkgsrc/devel/glib2/Makefile, Revision 1.159

1.159   ! wiz         1: # $NetBSD: Makefile,v 1.158 2009/04/28 19:41:11 zafer Exp $
1.1       dmcmahil    2:
1.118     tnn         3: # When updating glib2, please apply patch-ak to configure.in
                      4: # Then run a matching version of autoconf to regen patch-aa.
1.159   ! wiz         5: DISTNAME=              glib-2.20.2
1.39      jmmv        6: PKGNAME=               ${DISTNAME:S/glib/glib2/}
1.1       dmcmahil    7: CATEGORIES=            devel
1.155     jmcneill    8: MASTER_SITES=          ftp://ftp.gtk.org/pub/glib/2.20/ \
                      9:                        ${MASTER_SITE_GNOME:=sources/glib/2.20/}
1.15      grant      10: EXTRACT_SUFX=          .tar.bz2
1.1       dmcmahil   11:
1.117     wiz        12: MAINTAINER=            pkgsrc-users@NetBSD.org
1.119     tron       13: HOMEPAGE=              http://developer.gnome.org/doc/API/2.0/glib/glib.html
1.58      grant      14: COMMENT=               Some useful routines for C programming (glib2)
1.159   ! wiz        15: LICENSE=               gnu-lgpl-v2
1.1       dmcmahil   16:
1.49      minskim    17: PKG_INSTALLATION_TYPES=        overwrite pkgviews
1.108     joerg      18: PKG_DESTDIR_SUPPORT=   user-destdir
1.49      minskim    19:
1.14      salo       20: USE_PKGLOCALEDIR=      yes
1.97      jlam       21: USE_TOOLS+=            gmake msgfmt perl:run pkg-config
1.110     jschauma   22: USE_LANGUAGES=         c c++ c99
1.40      jlam       23: USE_LIBTOOL=           yes
1.43      jlam       24: TEST_TARGET=           check
1.8       jlam       25:
1.68      jmmv       26: PKGCONFIG_OVERRIDE=    glib-2.0-uninstalled.pc.in
                     27: PKGCONFIG_OVERRIDE+=   glib-2.0.pc.in
                     28: PKGCONFIG_OVERRIDE+=   gmodule-2.0-uninstalled.pc.in
1.41      jmmv       29: PKGCONFIG_OVERRIDE+=   gmodule-2.0.pc.in
1.68      jmmv       30: PKGCONFIG_OVERRIDE+=   gmodule-export-2.0.pc.in
1.82      jmmv       31: PKGCONFIG_OVERRIDE+=   gmodule-no-export-2.0-uninstalled.pc.in
1.68      jmmv       32: PKGCONFIG_OVERRIDE+=   gmodule-no-export-2.0.pc.in
                     33: PKGCONFIG_OVERRIDE+=   gobject-2.0-uninstalled.pc.in
1.41      jmmv       34: PKGCONFIG_OVERRIDE+=   gobject-2.0.pc.in
1.68      jmmv       35: PKGCONFIG_OVERRIDE+=   gthread-2.0-uninstalled.pc.in
1.41      jmmv       36: PKGCONFIG_OVERRIDE+=   gthread-2.0.pc.in
1.132     drochner   37: PKGCONFIG_OVERRIDE+=   gio-2.0.pc.in
                     38: PKGCONFIG_OVERRIDE+=   gio-unix-2.0.pc.in
1.8       jlam       39:
1.81      rillig     40: GNU_CONFIGURE=         yes
1.86      rillig     41: CONFIGURE_ENV+=                PKGLOCALEDIR=${PKGLOCALEDIR:Q}
1.1       dmcmahil   42: CONFIGURE_ARGS+=       --includedir=${PREFIX}/include/glib
1.43      jlam       43: CONFIGURE_ARGS+=       ${CONFIGURE_ARGS.${ICONV_TYPE}-iconv}
1.91      schwarz    44: CONFIGURE_ARGS.gnu-iconv+=     --with-libiconv=gnu
1.126     drochner   45: CONFIGURE_ARGS+=       --with-pcre=system
1.44      snj        46:
1.86      rillig     47: CONFIGURE_ENV+=                PERL_PATH=${PERL5:Q}
1.60      gavan      48:
1.80      jmmv       49: .include "../../mk/bsd.prefs.mk"
                     50:
1.132     drochner   51: .if ${OPSYS} == "NetBSD"
                     52: # configure detects wrongly
                     53: CONFIGURE_ENV+=                ac_cv_func_statfs=no
                     54: .endif
                     55:
1.66      recht      56: CPPFLAGS+=             -DPREFIX="\"${PREFIX}\""
                     57: CPPFLAGS+=             -DPKGLOCALEDIR="\"${PKGLOCALEDIR}\""
                     58: CPPFLAGS+=             -DPKG_SYSCONFDIR="\"${PKG_SYSCONFDIR}\""
1.64      jmmv       59:
1.47      xtraeme    60: .if ${OPSYS} == "FreeBSD"
1.86      rillig     61: SUBST_CLASSES+=                thr
1.47      xtraeme    62: SUBST_STAGE.thr=       post-patch
                     63: SUBST_FILES.thr=       gthread/Makefile.in
1.74      reed       64: .  if ${OS_VERSION:R} >= 5
1.105     wiz        65: SUBST_SED.thr+=                -e "s|@G_THREAD_LIBS_FOR_GTHREAD@|-lpthread|g"
1.74      reed       66: .  else
1.105     wiz        67: SUBST_SED.thr+=                -e "s|@G_THREAD_LIBS_FOR_GTHREAD@|-Wc,-lc_r|g"
1.74      reed       68: .  endif
1.93      wiz        69: SUBST_MESSAGE.thr=     Fixing libgthread.
1.47      xtraeme    70:
                     71: .endif
                     72:
1.102     minskim    73: .if !empty(MACHINE_PLATFORM:MDarwin-[56].*-*)
                     74: CONFIGURE_ENV+=                gt_cv_c_wchar_t=no
                     75: .endif
                     76:
1.151     obache     77: # Workaround for Bug#562310
1.152     wiz        78: .if ${OPSYS} == "Darwin" || ${OPSYS} == "SunOS"
1.151     obache     79: TOOLS_NOOP+=           gtkdoc-rebase
                     80: .endif
                     81:
1.122     tnn        82: .if ${OPSYS} == "HPUX"
                     83: CONFIGURE_ENV+=                ac_cv_func_mmap_fixed_mapped=yes
                     84: .endif
                     85:
1.50      jmmv       86: # Handle directories shared with devel/glib.
                     87: PRINT_PLIST_AWK+=      /^@dirrm include\/glib$$/ \
                     88:                                { print "@unexec $${RMDIR} %D/" $$2 \
                     89:                                  " 2>/dev/null || $${TRUE}"; next; }
                     90:
1.139     joerg      91: PLIST_VARS+=           fam
                     92:
                     93: .if ${OPSYS} != "HPUX" && ${OPSYS} != "OSF1"
                     94: .include "options.mk"
                     95: .endif
                     96:
1.35      xtraeme    97: .include "../../converters/libiconv/buildlink3.mk"
                     98: .include "../../devel/gettext-lib/buildlink3.mk"
1.62      grant      99: .include "../../mk/dlopen.buildlink3.mk"
1.139     joerg     100:
1.131     tnn       101: .if !empty(MACHINE_PLATFORM:MIRIX-5*)
1.90      schwarz   102: CONFIGURE_ARGS+=       --disable-threads
                    103: .else
1.35      xtraeme   104: .include "../../mk/pthread.buildlink3.mk"
1.90      schwarz   105: .endif
1.150     wiz       106: # need pcre utf8 + unicode-properties
                    107: BUILDLINK_API_DEPENDS.pcre+= pcre>=7.4nb1
1.126     drochner  108: .include "../../devel/pcre/buildlink3.mk"
1.5       jlam      109:
1.1       dmcmahil  110: .include "../../mk/bsd.pkg.mk"

CVSweb <webmaster@jp.NetBSD.org>